﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Windows.Input;

namespace Backup {
    public class MyCommands {

        private static RoutedUICommand openProject;
        private static RoutedUICommand newProject;
        private static RoutedUICommand saveProject;
        private static RoutedUICommand saveAsProject;
        private static RoutedUICommand runProject;
        private static RoutedUICommand runProjectFull;

        private static RoutedUICommand insertDir;
        private static RoutedUICommand deleteSelectionItems;
        private static RoutedUICommand selectNone;
        private static RoutedUICommand invertSelection;
        private static RoutedUICommand selectAll;


        private static RoutedUICommand runExplorer;
        private static RoutedUICommand deleteLastProjects;




        static MyCommands() {
            newProject = new RoutedUICommand("Neues Projekt", "newProject", typeof(MyCommands));
            newProject.InputGestures.Add(new KeyGesture(Key.N, ModifierKeys.Control));

            openProject = new RoutedUICommand("Öffnen eines Projektes", "openProject", typeof(MyCommands));
            openProject.InputGestures.Add(new KeyGesture(Key.O, ModifierKeys.Control));

            saveProject = new RoutedUICommand("Speichern eines Projektes", "saveProject", typeof(MyCommands));
            saveProject.InputGestures.Add(new KeyGesture(Key.S, ModifierKeys.Control));

            saveAsProject = new RoutedUICommand("Speichern eines Projektes", "saveProject", typeof(MyCommands));
            saveAsProject.InputGestures.Add(new KeyGesture(Key.F12, ModifierKeys.Control));

            runProject = new RoutedUICommand("Starten eines Projektes", "runProject", typeof(MyCommands));
            runProject.InputGestures.Add(new KeyGesture(Key.F5, ModifierKeys.None));

            runProjectFull = new RoutedUICommand("Starten eines Full-Projektes", "runProjectFull", typeof(MyCommands));
            runProjectFull.InputGestures.Add(new KeyGesture(Key.F5, ModifierKeys.Control));


            insertDir = new RoutedUICommand("Einfügen eines Verzeichnisses", "insertDir", typeof(MyCommands));
            insertDir.InputGestures.Add(new KeyGesture(Key.Insert, ModifierKeys.None));

            deleteSelectionItems = new RoutedUICommand("Löschen der markierten Verzeichnisse", "deleteSelectionItems", typeof(MyCommands));
            deleteSelectionItems.InputGestures.Add(new KeyGesture(Key.Delete, ModifierKeys.None));

            selectNone = new RoutedUICommand("Löschen der Markierungen", "selectNone", typeof(MyCommands));

            invertSelection = new RoutedUICommand("Invertieren der Markierungen", "invertSelection", typeof(MyCommands));

            selectAll = new RoutedUICommand("Alle Verzeichnisse markieren", "selectAll", typeof(MyCommands));
            selectAll.InputGestures.Add(new KeyGesture(Key.A, ModifierKeys.Control));


            runExplorer = new RoutedUICommand("Explorer starten", "runExplorer", typeof(MyCommands));
            runExplorer.InputGestures.Add(new KeyGesture(Key.E, ModifierKeys.Control));

            deleteLastProjects = new RoutedUICommand("Löschen der  Einträger der letzten Projekte", "deleteLastProjects", typeof(MyCommands));
        }

        public static RoutedUICommand OpenProject {
            get { return openProject; }
        }
        public static RoutedUICommand NewProject {
            get { return newProject; }
        }
        public static RoutedUICommand SaveProject {
            get { return saveProject; }
        }

        public static RoutedUICommand SaveAsProject {
            get { return saveAsProject; }
        }

        public static RoutedUICommand RunProject {
            get { return runProject; }
        }
        public static RoutedUICommand RunProjectFull {
            get { return runProjectFull; }
        }


        public static RoutedUICommand InsertDir {
            get { return insertDir; }
        }

        public static RoutedUICommand DeleteSelectionItems {
            get { return deleteSelectionItems; }
        }


        public static RoutedUICommand SelectNone {
            get { return selectNone; }
        }


        public static RoutedUICommand InvertSelection {
            get { return invertSelection; }
        }


        public static RoutedUICommand SelectAll {
            get { return selectAll; }
        }


        public static RoutedUICommand RunExplorer {
            get { return runExplorer; }
        }

        public static RoutedUICommand DeleteLastProjects {
            get { return deleteLastProjects; }
        }


    }
}
